@echo *******************************************************

@echo Cleaning things up...

@echo *******************************************************



del classes\*.class

del classes\examples\*.class

del lib\*.jar



@echo *******************************************************

@echo Compiling files...

@echo *******************************************************



javac -d classes src\*.java



@echo *******************************************************

@echo Copying Deployment Descriptor...

@echo *******************************************************



md classes\META-INF

copy deployment\*.xml classes\META-INF



@echo *******************************************************

@echo Creating temporary ejb-jar file...

@echo *******************************************************



cd classes

jar cf ..\lib\tmp.jar *

cd ..



@echo *******************************************************

@echo Generating helper code, and creating new ejb-jar file...

@echo *******************************************************



pushd lib

java weblogic.ejbc20 tmp.jar -d EJB.jar

copy EJB.jar %DEPLOY_HOME%\Account.jar

popd



@echo *******************************************************

@echo Removing temporary ejb-jar file

@echo *******************************************************



del lib\tmp.jar

