package examples;

import java.io.Serializable;

/**
 * Primary Key class for Account.
 */
public class AccountPK implements java.io.Serializable {
  public String accountID;

  public AccountPK(String id) {
	this.accountID = id;
  }

  public AccountPK() {
  }

  public String toString() {
	return accountID;
  }

  public int hashCode() {
  	return accountID.hashCode();
  }
  
  public boolean equals(Object account) {
  	return ((AccountPK)account).accountID.equals(accountID);
  }  
}
