@echo Cleaning things up...

del classes\*.class
del lib\*.jar

@echo Compiling files...

javac -d classes src\*.java

@echo Copying Deployment Descriptor...

md classes\META-INF
copy deployment\*.xml classes\META-INF

@echo Creating temporary ejb-jar file...

del lib\*.jar
cd classes
jar cf ..\lib\tmp.jar *
cd ..

@echo Generating helper code, and creating new ejb-jar file...

java weblogic.ejbc20 lib\tmp.jar -d lib\EJB.jar
copy lib\EJB.jar %DEPLOY_HOME%\Log.jar

