drop table accounts;
drop table customers;
drop table orders;
drop table products;
drop table orderLineItems;

create table accounts (id varchar(64), ownername varchar(64), balance numeric(18));
create table customers (customerId varchar(64), name varchar(64), address varchar(64), password varchar (64));
create table orders (orderId varchar(64), customerId varchar(64), orderDate timestamp, status varchar(64), orderSubTotal numeric(18), orderTaxes numeric(18));
create table products (productId varchar(64), name varchar(64), basePrice numeric(18), description varchar(64));
create table orderLineItems( id varchar(64),productId varchar(64), orderId varchar(64),quantity int, discount numeric(18));

insert into accounts values ('000-000-01', 'Ed Roman', 500000);
insert into accounts values ('000-000-02', 'Jasmine', 700000);

insert into customers values ('Ed Roman', 'Ed Roman', '12440 Alameda Trace Circle #1822 Austin TX 78727', 'password');

insert into products values ('1', 'Pentium III', 2000, 'Intel brand, 256k Level2 cache');
insert into products values ('2', 'Celeron', 800, 'Low-end mainstream machine');
insert into products values ('3', 'Pentium I', 500, 'Refurbished machine');
insert into products values ('4', 'Mac', 2500, 'Color iMac');
insert into products values ('5', 'Pentium II', 500, 'Mid-level machine');
insert into products values ('6', 'Athlon', 3500, 'AMD Flagship');

