package examples;

/**
 * User represents details of the customer.
 */
public class User implements java.io.Serializable{
    
    /*
     * Id of the customer.
     */    
    private String customerId;
    
    /**
     * Name of the customer.
     */
    private String name;
    
    /**
     * Address of the customer.
     */
    private String address;
    
    /**
     * Password of the customer.
     */
    private String password;
    
    /**
     * Constructor
     * @param Id of the customer
     * @param name of the customer
     * @param password of the customer
     * @param address of the customer
     */
    public User(String customerId, String name, String password, String address){
        this.customerId=customerId;
        this.name=name;
        this.address=address;
        this.password=password;
    }
    
    /**
     * Returns the Id of the customer.
     */
    public String getCustomerID(){
        return customerId;
    }
    
    /**
     * Sets the Id of the customer.
     */
    public void setCustomerID(String customerId){
       this.customerId=customerId;
    }
    
    /**
     * Returns the name of the customer.
     */
	public String getName(){
        return name;
    }
    
    /**
     * Sets the name of the customer.
     */
	public void setName(String name){
        this.name=name;
    }
    
    /**
     * Returns the password of the customer.
     */
	public String getPassword(){
        return password;
    }
	
    /**
     * Sets the password of the customer.
     */
    public void setPassword(String password){
        this.password=password;
    }
	
    /**
     * Returns the address of the customer.
     */
    public String getAddress(){
        return address;
    }
    
    /**
     * Sets the address of the customer.
     */
	public void setAddress(String address){
        this.address=address;
    }
}


