import javax.naming.*;
import java.rmi.*;

public class Client {

	public static void main (String[] args) throws Exception {

		// Lookup the remote object via JNDI
		Context ctx = new InitialContext(System.getProperties());
		Object remoteObject = ctx.lookup("PKGenerator");

		// Cast the remote object, RMI-IIOP style
		IPKGenerator generator = (IPKGenerator)
			javax.rmi.PortableRemoteObject.narrow(
				remoteObject, IPKGenerator.class);

		// Generate a PK by calling the RMI-IIOP stub
		System.err.println(generator.generate());
	}
}
