@ECHO OFF

REM Sets up your environment.  Modify as necessary.
REM

REM Set to WebLogic install home
REM
SET WEBLOGIC_HOME=c:\bea\wlserver6.1

REM Set to installation of JDK
REM
SET JAVA_HOME=c:\bea\jdk131

REM Set to installation of The Middleware Company (TMC)'s provided examples
REM
SET TMC_HOME=c:\book\EJB20\code

REM Set to installation of The Middleware Company's main folder
REM Note: Should be one folder ABOVE the cloudscape database folder
REM Note: Should use forward slashes
REM
SET CLOUDSCAPE_HOME=%TMC_HOME%

REM This is where web applications are pushed for weblogic to deploy
REM
SET DEPLOY_HOME=%WEBLOGIC_HOME%\config\mydomain\applications

REM This is where JNDI 1.2.1 .JAR files are installed
REM
SET JNDI_HOME=%TMC_HOME%\jndi

REM Set VISIBROKER_HOME variable as the installation directory of your VisiBroker for Java 4.0
set VISIBROKER_HOME=c:\Inprise\vbroker

REM PATH for locating binaries
REM
SET PATH=%WEBLOGIC_HOME%\bin;%JAVA_HOME%\bin;%VISIBROKER_HOME%\bin;%PATH%

REM Classpath - You probably should not modify
REM
SET CLASSPATH=.;.\classes;%WEBLOGIC_HOME%;%WEBLOGIC_HOME%\..;%WEBLOGIC_HOME%\lib\weblogic_sp.jar;%WEBLOGIC_HOME%\lib\weblogic.jar;%WEBLOGIC_HOME%\lib\ejb20.jar;%WEBLOGIC_HOME%\samples\eval\cloudscape\lib\cloudscape.jar;%WEBLOGIC_HOME%\samples\eval\cloudscape\lib\tools.jar;%JNDI_HOME%\fscontext.jar;%WEBLOGIC_HOME%\lib\ir.idl;%WEBLOGIC_HOME%\lib\orb.idl;%VISIBROKER_HOME%\lib\vbjdev.jar;%VISIBROKER_HOME%\lib\vbjorb.jar;%VISIBROKER_HOME%\lib\vbdev.jar;%VISIBROKER_HOME%\lib\migration.jar
